List topic messages by id
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}/messagesimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/topics/{topicId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"chunk_info": {
"initial_transaction_id": "0.0.10-1234567890-000000321",
"nonce": 3,
"number": 1,
"total": 2,
"scheduled": true
},
"consensus_timestamp": "1234567890.000000001",
"message": "bWVzc2FnZQ==",
"payer_account_id": "0.0.10",
"running_hash": "cnVubmluZ19oYXNo",
"running_hash_version": 2,
"sequence_number": 1,
"topic_id": "0.0.7"
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "No such topic id - 7"
}
]
}
}Topics
List topic messages by id
Returns the list of topic messages for the given topic id.
GET
/
api
/
v1
/
topics
/
{topicId}
/
messages
List topic messages by id
Path Parameters
Topic id
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Query Parameters
The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc Required range:
x >= 0The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.
Pattern:
^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(.\d{1,9})?$Was this page helpful?